Insert author name in comments
Closed, ResolvedPublic1 Story Points

Description

The eintrag value from the HTTP request is not the authorDisplayName as assumed by the route. Instead, it's either 0, which must result in the translatable author name anonym or 2, which must then be converted to the donor name.

My suggestion would be to reflect this in AddCommentRequest (change string setAuthorDisplayName to int setAuthorDisplayType and use constants for the types) and add the name in the use case because the name needs to come from the domain object.

At the moment the fundraising backend application just shows "2" as the author name.

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 8 2016, 4:39 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 9 2016, 11:50 AM

How about we just change the values of the radio buttons to the values that should actually be stored? We don't use the $displayAuthorType anywhere else, right?

@gabriel-wmde can you confirm this is correct and move the task to done?

Tobi_WMDE_SW closed this task as Resolved.Apr 7 2017, 11:25 AM
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:25 AM